Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Mysql Blocking Amarok [ SOLVED ]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Wed Sep 15, 2010 12:55 am    Post subject: Mysql Blocking Amarok [ SOLVED ] Reply with quote

As the title of my thread reads, mysql is blocking amarok or vice versa. I was doing some maintenance and tried emerge system & emerge world and got the following errors:


emerge -uDN system

* IMPORTANT: 14 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!
[ebuild R ] media-libs/jpeg-8b USE="-static-libs%"
[ebuild U ] sys-devel/autoconf-2.65-r1 [2.65]
[ebuild U ] dev-libs/libgcrypt-1.4.6 [1.4.5]
[ebuild U ] sys-apps/debianutils-3.2.3 [3.1.3]
[ebuild U ] sys-process/psmisc-22.12 [22.10]
[ebuild R ] dev-libs/glib-2.24.1-r1 USE="(-hardened%)"
[ebuild U ] net-misc/iputils-20100418 [20071127] USE="ssl%* -SECURITY_HAZARD% -idn%"
[ebuild U ] net-misc/wget-1.12-r2 [1.12]
[ebuild U ] net-nds/openldap-2.4.23 [2.4.19-r1] USE="gnutls*"
[ebuild U ] net-misc/openssh-5.5_p1-r2 [5.3_p1-r1]
[ebuild R ] net-print/cups-1.3.11-r2 USE="gnutls*"
[ebuild R ] net-misc/curl-7.20.0-r2 USE="gnutls*"
[ebuild U ] dev-db/mysql-5.1.50-r1 [5.0.90-r2] USE="-pbxt% -xtradb%"
[ebuild U ] virtual/mysql-5.1 [5.0]
[blocks B ] media-sound/amarok[embedded] ("media-sound/amarok[embedded]" is blocking dev-db/mysql-5.1.50-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('ebuild', '/', 'dev-db/mysql-5.1.50-r1', 'merge') pulled in by
=dev-db/mysql-5.1* required by ('ebuild', '/', 'virtual/mysql-5.1', 'merge')

('installed', '/', 'media-sound/amarok-2.3.1-r2', 'nomerge') pulled in by
media-sound/amarok required by world

emerge -uDN world

* IMPORTANT: 14 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-db/mysql:0

('ebuild', '/', 'dev-db/mysql-5.1.50-r1', 'merge') pulled in by
dev-db/mysql required by world

('installed', '/', 'dev-db/mysql-5.0.90-r2', 'nomerge') pulled in by
<dev-db/mysql-5.1[embedded,-minimal] required by ('installed', '/', 'media-sound/amarok-2.3.1-r2', 'nomerge')
dev-db/mysql required by world

app-office/abiword:2

('ebuild', '/', 'app-office/abiword-2.8.6', 'merge') pulled in by
app-office/abiword required by world

('installed', '/', 'app-office/abiword-2.6.8', 'nomerge') pulled in by
=app-office/abiword-2.6.8* required by ('installed', '/', 'app-office/abiword-plugins-2.6.8', 'nomerge')
app-office/abiword required by world


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously. You may want to try a larger value of the
--backtrack option, such as --backtrack=30, in order to see if that will
solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


emerge: there are no ebuilds built with USE flags to satisfy ">=media-libs/jpeg-6b:0[static-libs]".
!!! One of the following packages is required to complete your request:
- media-libs/jpeg-8b (Change USE: +static-libs)
(dependency required by "media-gfx/splashutils-1.5.4.3-r3" [installed])
(dependency required by "media-gfx/splash-themes-gentoo-20100302" [installed])
(dependency required by "world" [argument])


I'm not sure if amarok uses mysql or postgresql...so any idea or suggestions are welcomed. Thanks in advance.
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2


Last edited by snakeo2 on Sat Sep 18, 2010 10:05 pm; edited 1 time in total
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Wed Sep 15, 2010 2:09 am    Post subject: Reply with quote

Do you use MySQL for anything else?
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
titanofold
Developer
Developer


Joined: 30 Dec 2003
Posts: 228
Location: Bryson City, NC USA

PostPosted: Wed Sep 15, 2010 2:19 am    Post subject: Reply with quote

Amarok is MySQL only...for now.
_________________
The best things in life are free.
Guy-1: Surely, you will fold with me...
Guy-2: Alright, but don't call me Shirley
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Wed Sep 15, 2010 2:24 am    Post subject: Reply with quote

I was going to suggest that if you're not otherwise using MySQL, to unmerge it and see if Amarok pulls it back in without a conflict.

But if you want a trouble-free audio/video player, ditch Amarok and use other things like VLC, smplayer, audacious, etc. I have NEVER been able to get Amarok working properly. I like the ideas behind it, but it's never worked on all the systems I've ever tried it on. Maybe it works in Ubuntu. I dunno. Never got it working under Gentoo.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
Angrychile
Apprentice
Apprentice


Joined: 27 Oct 2009
Posts: 222

PostPosted: Wed Sep 15, 2010 5:21 am    Post subject: Reply with quote

I masked the virtual to get rid of this...was that a good idea? (I had dev-db/mysql too)
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1942
Location: Zurich, Switzerland

PostPosted: Wed Sep 15, 2010 7:21 am    Post subject: Reply with quote

Well, there are several solutions...

one is just to mask mysql (dev-db/mysql) as you did. (for some reason, I would mask the real package rather than the virtual one - but that is another story)

another is to remove the embedded flag (I never quite understood why it was needed) from mysql and amarok, and then uses a fullblown mysql db on amarok.


HTH
V.

PS. I already used the full blown mysqldb with amarok-1.x, and ATM I see little advantage in switching. except for borked setup, which happened once or twice with the embedded db, but never with the full one.
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Wed Sep 15, 2010 11:00 pm    Post subject: Reply with quote

audiodef,

I do use Mysql in conjunction with Joomla. As far as getting Amarok to work properly, not sure what your definition of working properly is, but for me it has done the job thus far. I'm probably not using to its full capacity, but currently I dont need to. It manages my mp3 collection and can play and listen to it, which is all I need for now.


Veldrin

Quote:


another is to remove the embedded flag (I never quite understood why it was needed) from mysql and amarok, and then uses a fullblown mysql db on amarok.



would you mind elaborating? Thanks in advance.
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
Veldrin
Veteran
Veteran


Joined: 27 Jul 2004
Posts: 1942
Location: Zurich, Switzerland

PostPosted: Thu Sep 16, 2010 8:16 am    Post subject: Reply with quote

read the entire post before taking any action!

remove those useflags, and rebuild amarok and mysql. then restart mysql.

Code:
# echo "media-sound/amarok -embedded" >> /etc/portage/package.use
# echo "dev-db/mysql -embedded" >> /etc/portage/package.use
# emerge -a1 mysql amarok
# /etc/init.d/mysql restart


next time you run amarok, it asks you to define where the database is located, and howto configure mysql (i.e create the database + permissions).
alternatively, you can use this howto (though it is for 1.4, it is still valid, how to create the database)

caveats: I am not sure whether you can migrate you current embedded database to new one. (maybe you could copy it over? it is located in ~/.kde4/share/apps/amarok/mysqle or similar)
the database contains the entire collection info + playtime/count info, but not the ratings (stars)

creating a new database will probably destroy your ratings.
the workaround I use, it to save/export the playlist sorted by rating and tracknumber, and the then re-rate after the database has been rebuilt.
be sure, that you export the file to your harddrive, and not to the database.

I am not a expert in mysql. so i do not know, how it is going to react in the change of the useflags. be sure, that you have backups of your databases.

cheers
V.

PS. Don't hesitate to ask, of there are any questions.
PPS. I did this only on a empty database, or i did not care if i lost some database.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1700
Location: Heidelberg - Germany

PostPosted: Thu Sep 16, 2010 10:43 am    Post subject: Reply with quote

This conflict was a welcome reason for me to remove Amarok completly.
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Fri Sep 17, 2010 12:39 am    Post subject: Reply with quote

Veldrin,

Which use flags? I guess this will rebuild Mysql and break any current databases in my box? I guess I can always re-install Joomla if need be.
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Fri Sep 17, 2010 1:47 am    Post subject: Reply with quote

I removed the "embedded" use flag and tried "emerge world" again, but now it's complaining about jpeg.



emerge -uDN world

* IMPORTANT: 14 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=media-libs/jpeg-6b:0[static-libs]".
!!! One of the following packages is required to complete your request:
- media-libs/jpeg-8b (Change USE: +static-libs)
(dependency required by "media-gfx/splashutils-1.5.4.3-r3" [installed])
(dependency required by "media-gfx/splash-themes-gentoo-20100302" [installed])
(dependency required by "world" [argument])
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2559
Location: Richmond, BC, Canada

PostPosted: Fri Sep 17, 2010 2:12 am    Post subject: Reply with quote

Code:
emerge: there are no ebuilds built with USE flags to satisfy ">=media-libs/jpeg-6b:0[static-libs]"

That says what you need to do right there.

So...
Code:
# echo ">=media-libs/jpeg-6b static-libs" >> /etc/portage/package.use # or a subfile if it is a directory
# emerge -1v media-libs/jpeg

_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
Sujao
l33t
l33t


Joined: 25 Sep 2004
Posts: 677
Location: Germany

PostPosted: Fri Sep 17, 2010 2:42 pm    Post subject: Reply with quote

I like amarok and would like to keep it. Isn't this more of a portage bug when you put in packages that don't work together properly?
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Fri Sep 17, 2010 10:15 pm    Post subject: Reply with quote

I like amarok as well, not sure why it's not playing nice my mysql. Anyhow, i was able to update my system, however after re-starting amarok, as veldrin predicted, all my collection was lost. I tried creating a new database "amarok" following the tutorial provided, granted all rights to my local user and still complains that dabase is either not found or created incorrectly.


show databases;
+--------------------+
| Database |
+--------------------+
| information_schema |
| amarok |
| joomla |
| mysql |
| test |
+--------------------+
5 rows in set (0.00 sec)

mysql> use amarok
Database changed
mysql> show tables;
Empty set (0.00 sec)

any suggestions?
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
step
Apprentice
Apprentice


Joined: 16 May 2002
Posts: 198

PostPosted: Sun Sep 19, 2010 10:07 am    Post subject: Reply with quote

amarok started to be real PITA after it required mysql to operate. I mean... a fkn music player needs a database engine!?... What a joke!
emerge -C media-sound/amarok is the way to go. I have better thing to do than waste my time on some idiotic requirements of amarok.

emerge -C media-sound/amarok and done.
Back to top
View user's profile Send private message
keikoz
n00b
n00b


Joined: 14 Feb 2006
Posts: 29

PostPosted: Sun Sep 19, 2010 11:26 am    Post subject: Reply with quote

step wrote:
amarok started to be real PITA after it required mysql to operate. I mean... a fkn music player needs a database engine!?... What a joke!
emerge -C media-sound/amarok is the way to go. I have better thing to do than waste my time on some idiotic requirements of amarok.

emerge -C media-sound/amarok and done.


Same considerations, same solution.
Back to top
View user's profile Send private message
psdasilva
Apprentice
Apprentice


Joined: 03 Sep 2005
Posts: 236

PostPosted: Sun Sep 19, 2010 11:01 pm    Post subject: Reply with quote

step wrote:
amarok started to be real PITA after it required mysql to operate. I mean... a fkn music player needs a database engine!?... What a joke!
emerge -C media-sound/amarok is the way to go. I have better thing to do than waste my time on some idiotic requirements of amarok.

emerge -C media-sound/amarok and done.


After that ... which is the simplest music player that:

1. Plays in seq. or random at choice several dirs of music.
2. kde oriented.
3. Shows lyrics (not much important)

?

Thanks
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 371
Location: Graben-Neudorf, Germany

PostPosted: Tue Sep 28, 2010 11:44 pm    Post subject: solved? Reply with quote

I don’t really consider this solved…

Amarok should by default be used with the embedded MySQL database. So why can’t I emerge mysql and amarok with embedded?

Code:
$ USE="embedded" emerge -1a dev-db/mysql amarok
[ebuild   R   ] dev-db/mysql-5.1.50-r1
[ebuild  N    ] virtual/mysql-5.1
[ebuild   R   ] media-sound/amarok-2.3.2
[blocks B     ] media-sound/amarok[embedded] ("media-sound/amarok[embedded]" is blocking dev-db/mysql-5.1.50-r1)


Code:
$ USE="-embedded" emerge -1a dev-db/mysql amarok
[ebuild   R   ] dev-db/mysql-5.1.50-r1
[ebuild  N    ] virtual/mysql-5.1
[ebuild   R   ] media-sound/amarok-2.3.2
[blocks b     ] media-sound/amarok[embedded] ("media-sound/amarok[embedded]" is blocking dev-db/mysql-5.1.50-r1)


I’m now remerging without embedded, but it’s a very substandard solution to have to depart from the upstream default. I don’t really need mysql for anything but amarok (I hope… I didn’t doublecheck every program).
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
optiluca
Guru
Guru


Joined: 16 Jan 2006
Posts: 531
Location: Rivergaro, Italy

PostPosted: Wed Sep 29, 2010 10:28 am    Post subject: Reply with quote

Solution to this mess is very close, patch was released on bugzilla just a few days ago http://bugs.gentoo.org/show_bug.cgi?id=306315 . I personally have just masked recent mysql versions and kept the embedded database, soon we will have all mysql versions functioning correctly. Anyway my package.mask at the moment reads..

Quote:
>=dev-db/mysql-5.1
>=virtual/mysql-5.1

_________________
# "Hmm, sounds like your system froze up."
# "I don't know why. It's about 80 degrees in here!"

http://www.rinkworks.com/stupid/cs_mincing.shtml
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 371
Location: Graben-Neudorf, Germany

PostPosted: Fri Oct 22, 2010 7:50 pm    Post subject: Reply with quote

Thanks for the update!
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
wlchase
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jul 2003
Posts: 81
Location: Texas

PostPosted: Thu Nov 18, 2010 10:22 pm    Post subject: Reply with quote

FWIW, it works with 5.1.51.

One step that seems to have been left out of all the blogs & HOWTOs is to create the amarokuser account.

HTH!
Bill
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum